org.springframework.scheduling.commonj

## Class DelegatingTimerListener

- java.lang.Object
- - org.springframework.scheduling.commonj.DelegatingTimerListener

All Implemented Interfaces:
  TimerListener

    public class DelegatingTimerListener
    extends Object
    implements TimerListener

Simple TimerListener adapter that delegates to a given Runnable.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `TimerListener`, `Runnable`

### Constructor Summary

Constructors
Constructor and Description
`DelegatingTimerListener(Runnable runnable)` Create a new DelegatingTimerListener.

### Method Summary

Methods
`void` `timerExpired(Timer timer)` Delegates execution to the underlying Runnable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelegatingTimerListener

    public DelegatingTimerListener(Runnable runnable)

Create a new DelegatingTimerListener.

Parameters:
  `runnable` - the Runnable implementation to delegate to

### Method Detail

#### timerExpired

    public void timerExpired(Timer timer)

Delegates execution to the underlying Runnable.

Specified by:
  `timerExpired` in interface `TimerListener`